# H245_TransportAddress Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_unicastAddress, e_multicastAddress }

## Public Member Functions

| H245_TransportAddress (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_UnicastAddress & ()
| operator const H245_UnicastAddress & () const
| operator H245_MulticastAddress & ()
| operator const H245_MulticastAddress & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_TransportAddress::Choices

Enumerator:

  e_unicastAddress |
  e_multicastAddress |

## Constructor & Destructor Documentation

H245_TransportAddress::H245_TransportAddress | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_TransportAddress::operator H245_UnicastAddress & | ( |  | ) |

H245_TransportAddress::operator const H245_UnicastAddress & | ( |  | ) | const

H245_TransportAddress::operator H245_MulticastAddress & | ( |  | ) |

H245_TransportAddress::operator const H245_MulticastAddress & | ( |  | ) | const

PBoolean H245_TransportAddress::CreateObject | ( |  | ) |

PObject* H245_TransportAddress::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h